## spopt 0.5.0

=== requirements.txt ===
geopandas>=0.10.0
libpysal
networkx
numpy>=1.21
pandas>=1.0.5
pulp
scikit-learn>=0.22
scipy>=1.3.2
spaghetti
tqdm>=4.27.0

=== debian/changelog ===
spopt (0.5.0-3) unstable; urgency=medium

  * debian/control: Added Build-Depends for testing fix
  * debian/README.source: Issue reported in the file has been resolved
  * debian/rules: Enabled tests that had errors

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 02 Sep 2023 07:48:00 -0300

spopt (0.5.0-2) unstable; urgency=medium

  * modified for construction in "armel" architecture

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 24 Aug 2023 22:43:14 -0300

spopt (0.5.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1023521)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 05 Aug 2023 17:26:38 -0300

=== debian/control ===
Source: spopt
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: black,
               coinor-cbc,
               debhelper-compat (= 13),
               dh-sequence-python3,
               jdupes,
               pandoc,
               pre-commit,
               python3-all,
               python3-coverage,
               python3-distutils,
               python3-geopandas,
               python3-libpysal,
               python3-matplotlib,
               python3-nbsphinx,
               python3-mapclassify,
               python3-folium,
               python3-networkx,
               python3-numba,
               python3-numpy,
               python3-numpydoc,
               python3-pandas,
               python3-pulp,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-xdist,
               python3-scipy,
               python3-setuptools,
               python3-sklearn,
               python3-spaghetti,
               python3-sphinx,
               python3-sphinx-bootstrap-theme,
               python3-sphinxcontrib.bibtex,
               python3-tqdm
Standards-Version: 4.6.2
Homepage: https://github.com/pysal/spopt
Vcs-Browser: https://salsa.debian.org/science-team/spopt
Vcs-Git: https://salsa.debian.org/science-team/spopt.git

Package: python3-spopt
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-spopt-doc
Description: spatial optimization in PySAL
 Open source Python library under active development, this module is
 sourced from the module region in PySAL (Python Spatial Analysis Library).
 .
 The "spopt" package is a Python library that provides tools for the
 optimization of spatial problems, especially focused on location and
 allocation problems. It uses spatial optimization techniques to find
 efficient and well-distributed solutions to problems involving site
 selection or resource allocation in a geographic space.
 .
 The package offers a variety of algorithms and methods for solving
 different types of spatial problems, such as selecting locations for
 installing services, equitably distributing resources across a geographic
 area, or optimizing transport networks. It is based on spatial analysis
 and the use of geographic data to improve allocation and decision making
 in varied contexts.
 .
 This package provides the Python 3.x module

Package: python-spopt-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: spatial optimization in PySAL (common documentation)
 Open source Python library under active development, this module is
 sourced from the module region in PySAL (Python Spatial Analysis Library).
 .
 The "spopt" package is a Python library that provides tools for the
 optimization of spatial problems, especially focused on location and
 allocation problems. It uses spatial optimization techniques to find
 efficient and well-distributed solutions to problems involving site
 selection or resource allocation in a geographic space.
 .
 The package offers a variety of algorithms and methods for solving
 different types of spatial problems, such as selecting locations for
 installing services, equitably distributing resources across a geographic
 area, or optimizing transport networks. It is based on spatial analysis
 and the use of geographic data to improve allocation and decision making
 in varied contexts.
 .
 This package contains HTML documentation, incorporates instructions on how
 to install and configure and use this module Python spopt.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export HOME=$(CURDIR)
export PYBUILD_NAME=spopt
export PYBUILD_BEFORE_TEST=cp -r {dir}/spopt/tests/data {build_dir}/spopt/tests

%:
	dh $@ --with sphinxdoc  --buildsystem=pybuild

# Build sphinx HTML documentation
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. \
		https_proxy='https://127.0.0.1:9/' \
		no_proxy=localhost python3 -m sphinx -N -bhtml -d \
		debian/doctrees docs/ debian/html

#override_dh_auto_test:

override_dh_link:
	dh_link
#Fixe duplicate-files
	jdupes -rl debian/python-spopt-doc/usr

#Fixe privacy-breach-generic
	find debian/python-spopt-doc/ -name '*.html' -exec sed -i 's|src="https://cdn||g' {} \;

#Fixe privacy-breach-logo
	find debian/python-spopt-doc/ -name '*.html' -exec sed -i 's|https://mybinder.org/badge_logo.svg||g' {} \;	

#Fixe font-in-non-font-package
	find debian/python-spopt-doc/ -name '*glyphicons-*' -delete

#Fixe embedded-javascript-library
	find debian/python-spopt-doc/usr/share/doc -name '*.js' -delete
	find debian/python-spopt-doc/usr/share/doc -type d -empty -delete

=== debian/tests/control ===
Test-Command: python3 -m pytest -v -s spopt/tests/test_locate_util.py -p no:warnings
 && python3 -m pytest -v -s spopt/tests/test_azp.py -p no:warnings
 && python3 -m pytest -v -s spopt/tests/test_region_k_means.py -p no:warnings
 && python3 -m pytest -v -s spopt/tests/test_region_util.py -p no:warnings
 && python3 -m pytest -v -s spopt/tests/test_spenc.py -p no:warnings
 && python3 -m pytest -v -s spopt/tests/test_ward.py -p no:warnings
Depends: python3-all,
         python3-pytest,
         python3-matplotlib,
         @
Restrictions: allow-stderr

## spopt 0.6.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = spopt
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@rsync -r --exclude '.ipynb_checkpoints/' ../notebooks/ ./notebooks/
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

github:
	@make html

clean:
	rm -rf $(BUILDDIR)/*
	rm -rf auto_examples/

=== debian/changelog ===
spopt (0.6.1-4) unstable; urgency=medium

  * Team upload.
  * Patch tests for Pytest8.4

 -- Alexandre Detiste <tchet@debian.org>  Mon, 25 Aug 2025 23:24:24 +0200

spopt (0.6.1-3) unstable; urgency=medium

  * debian/control:
     - Bumped Standards-Version to 4.7.2
  * debian/patches/0001.fixed-path-file-tests.patch:
     - Updated to patch-queue standard
  * debian/patches:
     - 0002-update-license-metadata.patch: Fixed metadata license
     - 0003-changed-intersphinx-mapping-to-local: Intersphinx-mapping local
  * debian/rules:
     - Configure verbose test output
  * debian/tests/control:
     - Skipping tests for s390x architecture

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 01 May 2025 22:51:01 -0300

spopt (0.6.1-2) unstable; urgency=medium

  * debian/control:
     Added '<!nocheck>' in Build-depends tests
     Added '<!nodoc>' in Build-depends docs sphinx
     Added  python3-numpydoc as Depends to fix autopkgtest error
     Removed unnecessary Build-depends
  * debian/patches: Fixed path of files needed for testing
  * debian/rules: Enabled tests

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 09 Jul 2024 00:29:48 -0300

spopt (0.6.1-1) unstable; urgency=medium

  * Team Upload
  * Remove python3-distutils build-dep (Closes: #1065960)
  * Standards-Version: 4.7.0 (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Remove unused license definitions for public-domain.

  [ Bo YU ]
  * Team upload.
  * New upstream version 0.6.0. (Closes: #1054780)
  * Add pybuild-plugin-pyproject on B-D.
  * Add python3-pointpats to build doc.
  * Update d/copyright to fix superfluous file pattern warning.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 29 Jun 2024 21:21:58 +0200

spopt (0.5.0-4) unstable; urgency=medium

  * debian/rules: Added inclusion tests to the ignore list
  * debian/tests: Modified to fix runtime errors

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 04 Nov 2023 00:12:25 -0300

=== debian/control ===
--- 
+++ 
@@ -3,41 +3,38 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
-Rules-Requires-Root: no
-Build-Depends: black,
-               coinor-cbc,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                jdupes,
-               pandoc,
-               pre-commit,
+               pandoc <!nodoc>,
                python3-all,
-               python3-coverage,
-               python3-distutils,
+               python3-coverage <!nocheck>,
                python3-geopandas,
                python3-libpysal,
-               python3-matplotlib,
-               python3-nbsphinx,
+               python3-matplotlib <!nocheck>,
+               python3-nbsphinx <!nodoc>,
                python3-mapclassify,
-               python3-folium,
+               python3-folium <!nocheck>,
                python3-networkx,
-               python3-numba,
                python3-numpy,
-               python3-numpydoc,
+               python3-numpydoc <!nodoc>,
                python3-pandas,
                python3-pulp,
-               python3-pytest,
-               python3-pytest-cov,
-               python3-pytest-xdist,
+               python3-pytest <!nocheck>,
+               python3-pytest-cov <!nocheck>,
+               python3-pytest-xdist <!nocheck>,
                python3-scipy,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-sklearn,
                python3-spaghetti,
-               python3-sphinx,
-               python3-sphinx-bootstrap-theme,
-               python3-sphinxcontrib.bibtex,
-               python3-tqdm
-Standards-Version: 4.6.2
+               python3-sphinx <!nodoc>,
+               python3-sphinx-bootstrap-theme <!nodoc>,
+               python3-sphinxcontrib.bibtex <!nodoc>,
+               python3-tqdm,
+               pybuild-plugin-pyproject,
+               python3-pointpats <!nodoc>,
+Standards-Version: 4.7.2
 Homepage: https://github.com/pysal/spopt
 Vcs-Browser: https://salsa.debian.org/science-team/spopt
 Vcs-Git: https://salsa.debian.org/science-team/spopt.git
@@ -45,7 +42,8 @@
 Package: python3-spopt
 Architecture: all
 Depends: ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         python3-numpydoc
 Suggests: python-spopt-doc
 Description: spatial optimization in PySAL
  Open source Python library under active development, this module is

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,13 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE = 1
+
+include /usr/share/dpkg/pkg-info.mk
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${DEB_VERSION_UPSTREAM}
 export HOME=$(CURDIR)
 export PYBUILD_NAME=spopt
-export PYBUILD_BEFORE_TEST=cp -r {dir}/spopt/tests/data {build_dir}/spopt/tests
+export PYBUILD_TEST_ARGS=-s -v
+export PYBUILD_BEFORE_TEST=cp -r {dir}/spopt/tests/data {build_dir}/spopt/tests \
 
 %:
 	dh $@ --with sphinxdoc  --buildsystem=pybuild
@@ -26,7 +31,7 @@
 	find debian/python-spopt-doc/ -name '*.html' -exec sed -i 's|src="https://cdn||g' {} \;
 
 #Fixe privacy-breach-logo
-	find debian/python-spopt-doc/ -name '*.html' -exec sed -i 's|https://mybinder.org/badge_logo.svg||g' {} \;	
+	find debian/python-spopt-doc/ -name '*.html' -exec sed -i 's|https://mybinder.org/badge_logo.svg||g' {} \;
 
 #Fixe font-in-non-font-package
 	find debian/python-spopt-doc/ -name '*glyphicons-*' -delete

=== debian/tests/control ===
Test-Command: python3 -m pytest -v -p no:warnings --ignore=spopt/tests/test_azp.py spopt/tests/
 --ignore=spopt/tests/test_random_regions.py spopt/tests/ 
 --ignore=spopt/tests/test_maxp.py spopt/tests/
 --ignore=spopt/tests/test_region_util.py spopt/tests/
 --ignore=spopt/tests/test_skater.py spopt/tests/
 --ignore=spopt/tests/test_spenc.py spopt/tests/
 --ignore=spopt/tests/test_ward.py spopt/tests/ 
Depends: python3-all,
         python3-pytest,
         python3-matplotlib,
         @
Restrictions: allow-stderr
Architecture: !s390x
